be.fgov.ehealth.rn.baselegaldata.v1

## Class LegalCohabitationRegistrationType

- java.lang.Object
- - be.fgov.ehealth.rn.baselegaldata.v1.LegalCohabitationRegistrationType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:16:59+01:00",
                 comments="JAXB RI v2.2.11")
      public class LegalCohabitationRegistrationType
      extends Object
      implements Serializable

  Java class for LegalCohabitationRegistrationType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="LegalCohabitationRegistrationType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="RegistrationDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
               <element name="Location" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}LocationType" minOccurs="0"/>
               <element name="RegistrationBailiff" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}RegistrationBailiffType" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LegalCohabitationRegistrationType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `LocationType` | `getLocation()` Gets the value of the location property.
    `RegistrationBailiffType` | `getRegistrationBailiff()` Gets the value of the registrationBailiff property.
    `org.joda.time.DateTime` | `getRegistrationDate()` Gets the value of the registrationDate property.
    `void` | `setLocation(LocationType value)` Sets the value of the location property.
    `void` | `setRegistrationBailiff(RegistrationBailiffType value)` Sets the value of the registrationBailiff property.
    `void` | `setRegistrationDate(org.joda.time.DateTime value)` Sets the value of the registrationDate property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LegalCohabitationRegistrationType

          public LegalCohabitationRegistrationType()

  - ### Method Detail

    - #### getRegistrationDate

          public org.joda.time.DateTime getRegistrationDate()

      Gets the value of the registrationDate property.
      Returns:
        possible object is `String`

    - #### setRegistrationDate

          public void setRegistrationDate(org.joda.time.DateTime value)

      Sets the value of the registrationDate property.
      Parameters:
        `value` - allowed object is `String`

    - #### getLocation

          public LocationType getLocation()

      Gets the value of the location property.
      Returns:
        possible object is `LocationType`

    - #### setLocation

          public void setLocation(LocationType value)

      Sets the value of the location property.
      Parameters:
        `value` - allowed object is `LocationType`

    - #### getRegistrationBailiff

          public RegistrationBailiffType getRegistrationBailiff()

      Gets the value of the registrationBailiff property.
      Returns:
        possible object is `RegistrationBailiffType`

    - #### setRegistrationBailiff

          public void setRegistrationBailiff(RegistrationBailiffType value)

      Sets the value of the registrationBailiff property.
      Parameters:
        `value` - allowed object is `RegistrationBailiffType`

Connector Packaging PERSPODOLOGIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.